import { FormConfig } from "/@/components/PageSearch";
import { TAG_TYPE } from "/@/utils/global";

const tag_type = TAG_TYPE.slice(0, 2);

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "supplierNo",
      type: "input",
      placeholder: "供应商编号"
    },
    {
      field: "payNo",
      type: "input",
      placeholder: "对账编号"
    },
    {
      field: "tag_id",
      type: "select",
      placeholder: "标签类型",
      options: tag_type
    },
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startPlaceholder: "开始日期",
        endPlaceholder: "结束日期"
      }
    }
  ]
};

export default searchFormConfig;
